@charset "utf-8";
/*---------------------------------------------------------------------
Parts Style
style.css
-----------------------------------------------------------------------
Copyright 2026 (c) linkpath Allrights Reserved.
Created: linkpath
Created url: https://linkpath.jp/
Coding: Hinako Hayashi
Last Update: 2026.04.07
---------------------------------------------------------------------*/
/*===========================================================
    font-size
===========================================================*/
.fixed-content h2 {
    font-size: 300%;
}
.f-cta__link a dd {
    font-size: 150%;
}
.fixed-content p,
.h-menu__link a,
.f-menu__link a {
    font-size: 120%;
}
.h-cta__link a dd {
    font-size: 110%;
}

.fixed-nav h2 {
    font-size: 90%;
}
.h-nav h2,
.h-cta__link a dt,
.h-address,
.f-nav h2,
.f-cta__wrap p,
.f-cta__link a dt,
.f-address,
.f-other__link,
.c-copy {
    font-size: 85%;
}

.h-logo small {
    font-size: 80%;
}

/*===========================================================
    parts
===========================================================*/
/*wbr*/
.wbr {
word-break: keep-all;
overflow-wrap: break-word;
}

/* arrow-icon */
.arrow-icon {
    transform: rotate(-45deg);
}

/*===========================================================
    header
===========================================================*/
/* h-logo */
.h-logo {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.5rem;
    position: fixed;
    top: 1rem;
    left: 1rem;
    z-index: 99;
    mix-blend-mode: difference;
}
.h-logo img {
    width: auto;
    height: 2em;
}
.h-logo small {
    font-weight: 500;
    letter-spacing: 0.05em;
    display: block;
}


.h-nav h2 {
    font-weight: 300;
    padding-bottom: 1rem;
}

/* h-nav */
.h-nav {
    width: 100%;
    height: 100vh;
    height: 100dvh;
    display: flex;
    flex-direction: column;
    gap: 3em;
    padding: 3em;
    padding-top: 7em;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 98;
    opacity: 0;
    pointer-events: none;
    overflow-y: scroll;
    transition: all 0.3s;
}
header.h-active .h-nav {
    opacity: 1;
    pointer-events: auto;
}

/* h-cta */
.h-cta {
    max-width: 500px;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1em;
    margin: 0 auto;
}
.h-cta__link a {
    border-radius: 1em;
    padding: 1.5em;
}
.h-cta__link a dl {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.h-cta__link a dt {
    width: fit-content;
    border-radius: 200px;
    padding: 0.5em 1em;
}
.h-cta__link a dd {
    font-weight: 600;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.h-cta__link a dd span {
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 0.5em;
}
.h-cta__link a dd svg {
    height: 1.5em;
}

/* h-menu */
.h-menu__wrap {
    max-width: 500px;
    width: 100%;
    margin: 0 auto;
}
.h-menu {
    display: flex;
    flex-direction: column;
    gap: 2em;
}
.h-menu__link {
    border-top: solid 1px var(--color-base__transparent);
    padding-top: 0.75em;
}
.h-menu__link a {
    font-weight: 600;
}
.h-contact {
    display: none;
}

/* h-access */
.h-access__wrap {
    max-width: 500px;
    width: 100%;
    margin: 0 auto;
}
.h-access__link {
    display: flex;
    align-items: center;
    gap: 0.5em;
    border-top: solid 1px var(--color-base__transparent);
    padding-top: 0.75em;
}
.h-access__link svg {
    height: 1em;
}
.h-address {
    padding-top: 1rem;
}


/* hb */
.hb {
    width: 3em;
    height: 3em;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 0.5em;
    border-radius: 50%;
    position: fixed;
    top: 1rem;
    right: 1rem;
    z-index: 99;
    transition: all 0.3s;
}
.hb:hover {
    opacity: 0.6;
}
.hb li {
    width: 1.5em;
    height: 2px;
    border-radius: 200px;
    transform-origin: left;
    transition: all 0.3s;
}
.hb li:nth-child(2) {
    width: 1em;
}
header.h-active .hb li:nth-child(1) {
    transform: rotate(45deg) translate(0, -0.3em);
}
header.h-active .hb li:nth-child(2) {
    width: 1.5em;
    transform: rotate(-45deg)  translate(0, 0.3em);
}
header.h-active .hb {
    background: transparent;
}

/*===========================================================
    wrap
===========================================================*/
.wrap {
    display: flex;
    flex-direction: column-reverse;
    align-items: flex-start;
}

/* content-wrap */
.content-wrap {
    width: 100%;
    padding: 3em 0;
    padding-top: 8em;
}
.content-wrap section {
    max-width: 500px;
    width: 90%;
    margin: 0 auto;
}

/* article-fixed */
.article-fixed {
    width: 100%;
    height: 100vh;
    height: 100lvh;
    overflow: hidden;
}
.section-fixed {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 2em;
    position: relative;
}
.fixed-content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 3em;
    padding: 0 5%;
    padding-top: 7.5em;
    margin: 0 auto;
    position: relative;
    z-index: 2;
    mix-blend-mode: difference;
}
.fixed-content h2 {
    letter-spacing: 0.1em;
    font-weight: 500;
    padding-bottom: 3rem;
}
.fixed-content img {
    max-width: 400px;
    width: 90%;
    margin: 0 auto;
}

.fixed-content p {
    letter-spacing: 0.1em;
    text-align: center;
}

/* fixed-slider */
.fixed-slider {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.fixed-slider::before {
    content: "";
    width: 100%;
    height: 100%;
    background: linear-gradient(0deg, rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.2));
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
}

/* wave-slider */
.wave-slider {
    width: 100%;
    overflow: hidden;
}
.ws-bg__part {
    position: relative;
    float: left;
    height: 100vh;
    height: 100lvh;
    overflow: hidden;
}
.ws-bg__part-inner {
    position: absolute;
    top: 0;
    width: 100vw;
    height: 100vh;
    height: 100lvh;
    background-size: cover;
    background-position: center center;
}
.wave-slider, .ws-pages, .ws-bg {
    height: 100% !important;
    min-height: 100%; /* 高さが0にならないように */
}

/* read-more */
.hide-text {
    display: none;
    cursor: pointer;
}

/*===========================================================
    footer
===========================================================*/
footer {
    padding-top: 5em;
    padding-bottom: 3em;
}
.f-nav h2 {
    font-weight: 300;
    padding-bottom: 1rem;
}

.f-nav {
    max-width: 810px;
    width: 90%;
    display: flex;
    flex-direction: column;
    gap: 4em;
    margin: 0 auto;
}

/* f-menu */
.f-menu {
    display: flex;
    flex-direction: column;
    gap: 2em;
}
.f-menu__link {
    border-top: solid 1px var(--color-base__transparent);
    padding-top: 0.75em;
}
.f-menu__link a {
    font-weight: 600;
}

/* f-cta */
.f-cta {
    display: flex;
    flex-direction: column;
    gap: 1em;
}
.f-cta__wrap p {
    padding-bottom: 2rem;
}
.f-cta__link a {
    border-radius: 1em;
    padding: 2em;
}
.f-cta__link a dl {
    display: flex;
    flex-direction: column;
    gap: 4em;
}
.f-cta__link a dt {
    width: fit-content;
    border-radius: 200px;
    padding: 0.5em 1em;
}
.f-cta__link a dd {
    font-weight: 600;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.f-cta__link a dd span {
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 0.5em;
}
.f-cta__link a dd svg {
    height: 1.5em;
}

/* f-access */
.f-access__link {
    display: flex;
    align-items: center;
    gap: 0.5em;
    border-top: solid 1px var(--color-base__transparent);
    padding-top: 0.75em;
}
.f-access__link svg {
    height: 1em;
}
.f-address {
    padding-top: 1rem;
}

/* f-other */
.f-other {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

/* c-copy */
.c-copy {
    display: flex;
    align-items: center;
    gap: 0.25em;
}

/*===========================================================
    fixed-nav
===========================================================*/
.fixed-nav {
    width: 100%;
    display: flex;
    align-items: stretch;
    border-top: solid 1px var(--color-base__transparent);
    background: var(--color-main__transparent);
    position: fixed;
    left: 0;
    bottom: 0;
    z-index: 96;
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s;
}
body.s-active .fixed-nav {
    opacity: 1;
    pointer-events: auto;
}
.fixed-nav h2 {
    padding: 1em;
}
.fixed-menu {
    flex: 1;
    display: flex;
    align-items: center;
}
.fixed-menu__link {
    height: 100%;
    border-left: solid 1px var(--color-base__transparent);
    padding: 1em;
}
.fixed-menu__link a {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1em;
}
.fixed-menu__link:has(span) {
    flex: 1;
}
.fixed-menu__link a svg {
    height: 1em;
}
.fixed-menu__link a span {
    display: flex;
    align-items: center;
    gap: 0.5em;
}

@media screen and (min-width: 481px) {
/*===========================================================
    font-size
===========================================================*/
.fixed-content h2 {
    font-size: 400%;
}
/*===========================================================
    parts
===========================================================*/

/*===========================================================
    header
===========================================================*/

/*===========================================================
    wrap
===========================================================*/

/*===========================================================
    footer
===========================================================*/

/* f-menu */

/* f-cta */

/* f-access */

/* f-other */

/*===========================================================
    fixed-nav
===========================================================*/
.fixed-menu__link {
    flex: 1;
}
}

@media screen and (min-width: 960px) {
/*===========================================================
    font-size
===========================================================*/
.fixed-content h2 {
    font-size: 400%;
}
.fixed-content p {
    font-size: 160%;
}
.f-cta__link a dd {
    font-size: 120%;
}
.fixed-menu__link a {
    font-size: 110%;
}

/*===========================================================
    parts
===========================================================*/

/*===========================================================
    header
===========================================================*/

/*===========================================================
    wrap
===========================================================*/
.wrap {
    flex-direction: row-reverse;
}

/* content-wrap */
.content-wrap {
    width: 50%;
    margin-top: 0;
    padding-top: 7em;
}

/* article-fixed */
.article-fixed {
    width: 50%;
    position: sticky;
    top: 0;
}
.section-fixed {
    height: 100%;
    align-items: flex-start;
}
.fixed-content {
    padding: 0 calc(50% - 450px / 2);
    padding-top: 10em;
}
.fixed-content h2 {
    width: 70%;
    margin: 0 auto;
}
.fixed-content img {
    width: 70%;
}

/*===========================================================
    footer
===========================================================*/
footer {
    padding-bottom: 0;
}

/*===========================================================
    fixed-nav
===========================================================*/
.fixed-nav {
    width: fit-content;
    flex-direction: column;
    border: solid 1px var(--color-base__transparent);
    border-left: none;
    bottom: 10vh;
    bottom: 10svh;
}
.fixed-menu {
    flex-direction: column;
}
.fixed-menu__link {
    border-left: none;
    border-top: solid 1px var(--color-base__transparent);
}
.fixed-menu__link a {
    -ms-writing-mode: tb-rl;
    writing-mode: vertical-rl;
    text-orientation: upright;
}
.fixed-menu__link a svg {
    height: 1.5em;
}
.fixed-menu__link a span svg {
    height: 2em;
}
}

@media screen and (min-width: 1080px) {
/*===========================================================
    font-size
===========================================================*/
.h-menu__link a {
    font-size: 90%;
}
/*===========================================================
    parts
===========================================================*/

/*===========================================================
    header
===========================================================*/
header {
    background: linear-gradient(var(--color-grad__main));
}
header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 1em;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99;
}

/* h-logo */
.h-logo {
    position: static;
    mix-blend-mode: normal;
}

/* h-nav */
.h-nav {
    width: fit-content;
    height: fit-content;
    flex-direction: row;
    background: transparent;
    -webkit-backdrop-filter: blur(0px);
    backdrop-filter: blur(0px);
    padding: 0;
    position: static;
    opacity: 1;
    pointer-events: auto;
}
.h-nav h2 {
    display: none;
}

/* h-menu */
.h-menu__wrap {
    max-width: 100%;
    display: flex;
    align-items: center;
    gap: 1em;
}
.h-menu {
    flex-direction: row;
}
.h-menu__link {
    border-top: none;
    padding-top: 0;
}
.h-menu__link a {
    font-weight: 400;
    text-shadow: 1px 1px 2px var(--color-main__transparent);
}

.h-contact {
    width: fit-content;
    text-shadow: 1px 1px 2px var(--color-main__transparent);
    display: flex;
    align-items: center;
    gap: 2em;
    border: solid 1px var(--color-base);
    box-shadow: 1px 1px 2px var(--color-main__transparent);
    padding: 0.5em 1em;
}
.h-contact svg {
    height: 1.5em;
}

/* h-cta */
.h-cta {
    display: none;
}

/* h-access */
.h-access__wrap {
    display: none;
}

/* hb */
.hb {
    display: none;
}

/*===========================================================
    wrap
===========================================================*/
/* content-wrap */
.content-wrap {

}

/*===========================================================
    footer
===========================================================*/
/* f-nav */
.f-nav {
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
}

/* f-menu */
.f-menu__wrap {
    max-width: 300px;
    width: calc(50% - 2em);
}

/* f-cta */
.f-cta__wrap {
    width: calc(50% - 2em);
}

/* f-access */
.f-access__wrap {
    max-width: 300px;
    width: calc(50% - 2em);
}

/* f-other */
.f-other {
    width: calc(50% - 2em);
    justify-content: flex-end;
    align-items: flex-end;
}

/* c-copy */
.c-copy {
    width: 100%;
    justify-content: flex-end;
}
}